//---------------------------------------------------------------------------
// File: TMainForm.cpp, TDx_3DI_Library, Scroller
//
// Date: 13th January, 2004
// Author: Darren John Dwyer
// Copyright: (c) 2002-2004 Darren John Dwyer, All Rights Reserved.
//
// Description:
// This application shows how to rotate a 3d bitmap background.
//
//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#ifndef D3D_OVERLOADS
#define D3D_OVERLOADS
#endif
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Buttons.hpp>
#include "TDx_3D.h"
#include <vcl\Buttons.hpp>
#include "tdx_draw.h"
#include "tdx_drawsurface.h"
#include "tddscaps.h"
#include "tddsurfacedesc.h"
#include "tdx_drawclipper.h"
#include "TDx_3DDevice.h"
#include "TD3DViewPort.h"
#include <vcl\ExtCtrls.hpp>
#include <vcl\Menus.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
	TDx_3D *Direct3DI;
	TDx_Draw *DirectDraw;
	TDx_DrawSurface *PrimarySurface;
	TDx_DrawSurface *BackBuffer;
	TDDSCaps *PrimarySurfaceCaps;
	TDDSurfaceDesc *PrimarySurfaceDesc;
	TDx_DrawClipper *PrimaryClipper;
	TDx_3DDevice *Direct3DIDevice;
	TGroupBox *GroupBox1;
	TBitBtn *ExitButton;
	TBitBtn *StartButton;
	TGroupBox *Stuff;
	TLabel *Direct3DI_Label;
	TLabel *DirectDraw_Label;
	TLabel *Direct3DIDevice_Label;
	TLabel *Label1;
	TLabel *Label2;
	TLabel *Label3;
	TD3DViewPort *ViewPort3D;
	TDx_DrawSurface *Texture3D;
	TDDSurfaceDesc *TextureSurfaceDesc;
	TDDSCaps *TextureSurfaceCaps;
	TTimer *Timer1;
	TMainMenu *MainMenu1;
	TMenuItem *File1;
	TMenuItem *Edit1;
	TMenuItem *Edit2;
	TMenuItem *Options1;
	TMenuItem *Help1;
	TMenuItem *Help2;
	TMenuItem *Undo1;
	TMenuItem *About1;
	TLabel *Label4;
	TLabel *Label5;
	TLabel *Label6;
	TLabel *Label7;
	TLabel *Label8;
	TLabel *Label9;
	TLabel *PrimarySurface_Label;
	TLabel *BackBuffer_Label;
	TLabel *CooperativeLevel_Label;
	TLabel *PrimaryClipper_Label;
	TLabel *ViewPort3D_Label;
	TLabel *Texture3D_Label;
	TLabel *Label10;
	TLabel *Animating_Label;
	TLabel *Label0;
	TLabel *Label11;
	TLabel *Label12;
	TLabel *BeginScene_Label;
	TLabel *DrawPrimitive_Label;
	TLabel *EndScene_Label;
	TCheckBox *FullScreenCheckBox;
	TMenuItem *Dummy21;
	TMenuItem *Dummy11;
	TMenuItem *Dummy12;
	TGroupBox *ErrorMessages;
	TMemo *ErrorMemo;
	TCheckBox *ShowStuffCheckBox;
	TImage *Image1;
	TMenuItem *N11;
	TMenuItem *N21;
	TMenuItem *N31;
	TMenuItem *N41;
	TMenuItem *N51;
	TMenuItem *N61;
	TMenuItem *N71;
	TMenuItem *N81;
	TPopupMenu *PopupMenu1;
	TMenuItem *N12;
	TMenuItem *N22;
	TMenuItem *N32;
	TMenuItem *N42;
	TMenuItem *N52;
	TMenuItem *N62;
	TMenuItem *N72;
	TMenuItem *N82;
	void __fastcall StartButtonClick(TObject *Sender);
	void __fastcall ExitButtonClick(TObject *Sender);
	void __fastcall DirectDrawError(TObject *Sender, AnsiString Function,
	AnsiString Error, AnsiString ErrorMessage);
	
	
	
	
	
	
	
	void __fastcall Timer1Timer(TObject *Sender);
	void __fastcall ShowStuffCheckBoxClick(TObject *Sender);
	
private:	// User declarations
	void __fastcall RenderScene();
    void __fastcall DisplayScene();
public:		// User declarations
	__fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
